Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1447031

Summary: ChromeOS keyboard backlight doesn't work
Product: [Fedora] Fedora Reporter: ojab <bugzilla.redhat.com>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: gansalmon, ichavero, itamar, jonathan, kernel-maint, leif.temp, madhu.chinakonda, mchehab
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: kernel-4.11.3-202.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:07:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description ojab 2017-05-01 11:37:07 UTC
CONFIG_CROS_KBD_LED_BACKLIGHT is not enabled in kernel config, so keyboard backlight cannot be changed.
Reproducible on HP Chromebook 13 G1 with kernel-4.11.0-0.rc8.git0.1.fc26.x86_64.

Comment 1 ojab 2017-05-10 14:59:28 UTC
ping? 
Fedora kernels rebuilt with `CONFIG_CROS_KBD_LED_BACKLIGHT=m` works fine here, fedora-25 is also affected, so lowering version.

Comment 2 ojab 2017-05-17 12:42:28 UTC
Weekly ping.

Comment 3 ojab 2017-05-24 18:01:48 UTC
Weekly ping.

Comment 4 Leif Liddy 2017-05-26 20:39:31 UTC
Just brought a chromebook and am experiencing the same issue. Why isn't CONFIG_CROS_KBD_LED_BACKLIGHT=m set in the kernel config? It seems like a reasonable & practical thing to do. It's not like it's some obscure option that no one uses. There's plenty of people who run Fedora on chromebooks that would benefit from this. Please include it in the next kernel release.

Comment 5 ojab 2017-06-01 13:25:38 UTC
Weekly ping.

Comment 6 Fedora Update System 2017-06-05 22:14:40 UTC
kernel-4.11.3-302.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8e901b2eb

Comment 7 Fedora Update System 2017-06-05 22:15:52 UTC
kernel-4.11.3-202.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b52e769b35

Comment 8 Fedora Update System 2017-06-05 22:21:42 UTC
kernel-4.11.3-101.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa8a043555

Comment 9 Fedora Update System 2017-06-06 19:05:02 UTC
kernel-4.11.3-302.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8e901b2eb

Comment 10 Fedora Update System 2017-06-07 07:33:52 UTC
kernel-4.11.3-101.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa8a043555

Comment 11 Fedora Update System 2017-06-07 07:34:09 UTC
kernel-4.11.3-202.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b52e769b35

Comment 12 Fedora Update System 2017-06-08 14:32:03 UTC
kernel-4.11.3-202.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-06-08 17:38:06 UTC
kernel-4.11.4-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044

Comment 14 Fedora Update System 2017-06-09 13:32:15 UTC
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6554692044

Comment 15 Fedora Update System 2017-06-13 19:56:38 UTC
kernel-4.11.4-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora End Of Life 2017-11-16 18:56:42 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:07:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.